local racer = require("src.entities.racing.racer")

local mode = {}

local finish = {100, 100, 0}

local entities = {}

function mode.load(player)
  entities.racer = racer.load(player, finish)
end

function mode.update(dt)
  entities.racer:update(dt)
end

function mode.draw()
  entities.racer:draw()
end

function mode.keyreleased(key, scancode)
end

function mode.keypressed(key, scancode, isrepeat)
end

function mode.mousereleased(x, y, button, istouch, presses)
end

return mode
